## Function `parseBigDecimal( str )`

Description:
  Attempts to interpret a string as a "BigDecimal" value. This can be used for working with string representations of non-integer values that require more precision or range than is possible in a 64-bit IEEE-754 double precision variable.

  The result is a `BigDecimal` object, which can't be used in normal numeric expressions, but has a number of methods defined on it for comparison, arithmetic, bit manipulation etc. See the java.math.BigDecimal javadocs for details.

Parameters:
  `str` (String)
    string contining numeric representation

Return Value (BigDecimal):
  BigDecimal value of `str`

Example:
  `parseBigDecimal("101").compareTo(parseBigDecimal("102")) = -1`

Signature:
  `BigDecimal parseBigDecimal(String)`